---
title: Append element
url: https://www.tines.com/docs/api/resources/append-element/
updated: 2023-12-19T18:05:14+00:00
description: Append a string or an array to a resource. If the resource has a test value this can be modified by using the is_test parameter.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Resources](https://www.tines.com/llm/docs/api/resources.md)*

# Append element

*[View on tines.com](https://www.tines.com/docs/api/resources/append-element/)*

## Description

Append a string or an array to a resource. If the resource has a test value this can be modified by using the is_test parameter.

## Request

HTTP Method: **POST**

| Parameter   | Description                                                            |
| ----------- | ---------------------------------------------------------------------- |
| resource_id | The ID of the live resource.                                           |
| value       | The string or an array to append to the resource.                      |
| is_test     | **Optional** Boolean value stating if the test resource should be used |

### Sample request

```bash
curl -X POST \
  https://<tenant-domain>/api/v1/global_resources/<<resource_id>>/append \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "value":"[1,2,3,4,5]"
    }'
```

## Response

A successful request will return the updated resource value

### Sample response

```json
[1, 2, 3, 4, 5]
```
